<?php 
//------------------------------------------
//Creado por: Jaime Rojas Landivar
//------------------------------------------

require_once('CifrasEnLetras.php');
include_once (dirname(__FILE__)."/../../classesphp/sani_request.php");
$_GET = array_merge($_GET,$_POST);
//$mapexten = $_GET["mapexten"];
error_reporting(0);
session_name("i3GeoPHP");
if (isset($_GET["g_sid"]))
{session_id($_GET["g_sid"]);}
session_start();

//obtención de variables enviados por URL
$map_file 	= $_GET["mapfile"];
$id_exp 	= $_GET["id_exp"];
$objectid 	= $_GET["id_exp"];
$dpto 		= $_GET["dpto"];
$distrito 	= $_GET["distrito"];
$colonia 	= $_GET["colonia"];
$cod_colonia= $_GET["colonia"];
$mz_agr 	= $_GET["mz_agr"];
$lote_agr 	= $_GET["lote_agr"];
$id_usuario	= $_GET["usr"];

$postgis_mapa = $_SESSION["postgis_mapa"];
require_once (dirname(__FILE__)."/../../ms_configura.php");
//
//se as extens&otilde;es j&aacute; estiverem carregadas no PHP, vc pode comentar essa linha para que o processamento fique mais r&aacute;pido
//

include_once (dirname(__FILE__)."/../../classesphp/carrega_ext.php");
//
//carrega o phpmapscript
//
$exts = get_loaded_extensions();
//$exts = $_GET["mapexten"];

if (array_search( "MapScript", $exts) != TRUE)	
{
	if (strtoupper(substr(PHP_OS, 0, 3) == 'WIN'))
	{
		if(!@dl('php_mapscript_48.dll'))
		dl('php_mapscript.dll');
	}
	else
	{dl('php_mapscript.so');}
}

require(dirname(__FILE__)."/../../classesphp/funcoes_gerais.php");
$nomes = nomeRandomico();

//------CONEXION ----------------------------------------------------------------

$link_bd=pg_connect("host=localhost port=5432 dbname=expropiacion user=sge password=2l2f1nt22022i connect_timeout=5 options='--client_encoding=utf8'");

//-------------------------------------------------------------------------------

require(dirname(__FILE__).'/../../pacotes/fpdf/fpdf.php');
$pdf = new FPDF("L","mm",array(297,210));
//$pdf = new FPDF("P","mm","A4");
$pdf->SetAutoPageBreak(false);
//$pdf->SetDisplayMode( 70 , "single");
$pdf->SetDisplayMode( 70 , "single");
$pdf->SetMargins(0, 0, 0);

			$total_parcelas = 0;
			$sqlpar = "SELECT count(*) cnt FROM ide.v_terrenos_ci_si_i3geo_inf WHERE id_exp = ".$colonia;

			$parcelas = pg_query ($link_bd, $sqlpar);
			while ($datos_par = pg_fetch_array($parcelas)) {		
				$total_parcelas = $datos_par[cnt];
			}	

$sqlcol = "SELECT * FROM ide.v_terrenos_ci_si_i3geo_inf WHERE id_exp = ".$id_exp;
$sqlcol = $sqlcol." ORDER BY dpto,distrito,colonia,mz_agr,lote_agr";


$resultcol = pg_query ($link_bd, $sqlcol);

$linea=0; //sin uso 
$separador=0;
$l=0;
$Pagina = 0;

while ($datos = pg_fetch_array($resultcol)) {

	    $l=$l+1;
		//echo $sqlcol;

		$dpto 			= $datos[dpto];
		$dpto_desc		= $datos[dpto_desc];
		$distrito 		= $datos[distrito];
		$dist_desc 		= $datos[dist_desc];
		$colonia 		= $datos[colonia];
		$col_desc		= $datos[col_desc];
		$mz_agr			= $datos[mz_agr];
		$lote_agr		= $datos[lote_agr];
		$tipo_lote		= $datos[tipo_lote];
		$padron			= $datos[padron];
		$nombre			= $datos[nombre];
		$exp			= $datos[exp];
		$sup_legal      = $datos[sup_legal];
		$sup_sig_ha     = $datos[sup_sig_ha];
		$sup_sig_m2     = $datos[sup_sig_m2];
		$finca_mtr		= $datos[finca_matr];
		$cc_matriz		= $datos[cc_matriz];
		$firmante		= $datos[firmante];
		$objectid		= $datos[objectid];

			$concepto = pg_query ($link_bd,"SELECT nombre FROM CONCEPTOS WHERE TIPOCONCEPTO = 'TIPOLOTE' AND CONCEPTO = '".$tipo_lote."';");
			while ($datos2 = pg_fetch_array($concepto)) {		
				$tipo = $datos2[nombre];
			}
				$resolucion_hab ="";
				$fecha_hab 		="";
				$fecha_deslinde	="";
				$dist_matriz	="";
				$formato_hrumbo	="";

			$total_vertices = 0;


			$dist_matriz_desc = "";
			$distrito_mtr = pg_query ($link_bd,"SELECT count(*) 
				FROM 
				i3geo.afectacionesper2 p join
				i3geo.afectaciones_gen i ON p.objectid=i.objectid
			WHERE 
				i.id_exp = ".$id_exp." order by p.lado ");

			while ($datosx = pg_fetch_array($distrito_mtr)) {		
				$total_vertices = $datosx[cnt];
			}	

			$limite_datos = intval($total_vertices);

			if (($l == $total_parcelas) and (($separador+$limite_datos*5+10+57)>=260)) {
				 $AdicionarPagina='SI';
			}else{
				 $AdicionarPagina='NO';
			}

    // ENZABEZADO, TITULO  y PIE 1
	if (($separador+$limite_datos*5+10)>=260 or $separador==0 or $AdicionarPagina=='SI') {
            	            
			$pdf->SetDisplayMode( 70 , "single");
			$pdf->SetMargins(0, 0, 0);
			$pdf->AddPage("L");
			$pdf->SetLineWidth(0.1);

			$hMapaMax = 230;
			$wMapaMax = 190;
			$mapasize = getimagesize($pathMapa);
			$wMapa = $mapasize[0];
			$hMapa = $mapasize[1];
			if (($wMapa / $wMapaMax) > ($hMapa / $hMapaMax)){
				$nW = $wMapaMax;
				$nH = $hMapa * $nW / $wMapa;
			}else{
				$nH = $hMapaMax;
				$nW = $wMapa * $nH / $hMapa;
			}
			//Ancho y alto para el recuadro del mapa
			$anchomap = $nW+2;
			$altomap  = $nH+17;
			$xdatos  = 10; //valor para x del recuadro de datos
			$ydatos  = $altomap;
			$nWG = $nW;
			$nHG = $nH;			
			$ancho = 202;
			//$pdf->SetFont('Arial','',9);

			//
 			// ---------- CABECERA DE PÁGINA ----------------
 			//
			$pdf->SetFont('Arial','B',10);
			$separador = 15;
			//$textMsg = "INSTITUTO NACIONAL DE DESARROLLO RURAL Y DE LA TIERRA";
			$textMsg = "DIRECCION DE BIENES INMOBILIARIOS (DBI)";
			$xMsg = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;
			$pdf->Text($xMsg + 10,$separador,$textMsg);


			$textMsg = "MOPC";
			$xMsg = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;
			$separador = $separador + 5;
			$pdf->Text($xMsg + 10,$separador,$textMsg);

			$pdf->SetXY($xtabla,$ytabla);
			$pdf->Line( 15, 22, $ancho, 22);

			/////////////////////////////////////////////
			/////////////////////////////////////////////
			//$pdf->Line( 15, 22, $ancho, 22);
			//
 			//PIE DE PÁGINA
 			//
			$pdf->SetFont('Arial','B',10);
			$mes = date("F");
			switch ($mes) {
    			case "January":
        			$mes="Enero";
        			break;
    			case "February":
        			$mes="Febrero";
        			break;
    			case "March":
        			$mes="Marzo";
        			break;
    			case "April":
        			$mes="Abril";
        			break;
    			case "May":
        			$mes="Marchyo";
        			break;
    			case "June":
        			$mes="Junio";
        			break;
    			case "July":
        			$mes="Julio";
    	    		break;
    			case "August":
        			$mes="Agosto";
        			break;
    			case "September":
        			$mes="Setiembre";
			        break;
    			case "October":
        			$mes="Octubre";
        			break;
    			case "November":
        			$mes="Noviembre";
        			break;
    			case "December":
        			$mes="Diciembre";
        			break;
			}
			$hora = pg_query($link_bd, "SELECT to_char(now(), 'HH24:mi') hora");
			while ($dato = pg_fetch_array($hora)) {
				$hora = $dato[hora];
			}

			
			$pdf->Line( 15, 296 - 10, $ancho, 296 - 10);
			
			$pagina = $pagina + 1; 
			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode("Pagina " . $pagina);
			$pdf->Text(170, 296 - 6,$textMsg);

			//IMPRESION DE LOGOS

			$pdf->Image("../../imagens/mopc.jpg" , 15			, 9, 32, 12,'','',1);
			$pdf->Image("../../imagens/paraguay-de-la-gente.jpg" , $ancho - 32	, 9, 32, 12,'','',1);
			
			//
 			//TITULOS
 			//
			$pdf->SetFont('Arial','B',12);			
			$textMsg = utf8_decode("INFORME PERICIAL DE AFECTACIONES");
			$xMsg = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;
			$separador = $separador + 15;
			$pdf->Text($xMsg + 5, $separador,$textMsg);
			//
 			//Cuerpo
 			//

     		if ($fecha_deslinde) {
				$ano = substr($fecha_deslinde,0,4);
				$mes = substr($fecha_deslinde,5,2);
				$dia = substr($fecha_deslinde,8,2);
			}else{
				$ano = '-----';
				$mes = '----------';
				$dia = '---';
			}

			switch ($mes) {
    			case "01":
        			$mes="Enero";
        			break;
    			case "02":
        			$mes="Febrero";
        			break;
    			case "03":
        			$mes="Marzo";
        			break;
    			case "04":
        			$mes="Abril";
        			break;
    			case "05":
        			$mes="Mayo";
        			break;
    			case "06":
        			$mes="Junio";
			        break;
			    case "07":
			        $mes="Julio";
			        break;
			    case "08":
			        $mes="Agosto";
			        break;
			    case "09":
			        $mes="Setiembre";
			        break;
			    case "10":
			        $mes="Octubre";
			        break;
			    case "11":
			        $mes="Noviembre";
			        break;
			    case "12":
			        $mes="Diciembre";
			        break;
			}			
			
			$largostring=15;
			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode("Proyecto: ");
			$separador = $separador + 10;
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);
			$pdf->SetFont('Arial','B',9);
			$textMsg = utf8_decode($col_desc).".";
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);
			

			$largostring = 15;
			$separador = $separador + 5;
			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode("Finca N° ");
			$pdf->Text($largostring, $separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);
			$pdf->SetFont('Arial','B',9);
			if (empty($finca_mtr)) {
				$textMsg = "----";
			}else{
				$textMsg = $finca_mtr;
			}
			$pdf->Text($largostring, $separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode(" de ");
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);
			$pdf->SetFont('Arial','B',9);
			$textMsg = utf8_decode($dist_matriz_desc);
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode(", Padrón N° ");
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','B',9);
			if (empty($cc_matriz)) {
				$textMsg = "----";
			}else{
				$textMsg = utf8_decode($cc_matriz);
				//$textMsg = $cc_matriz;
			}
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);


			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode(" de ");
			if (($largostring + $pdf->GetStringWidth($textMsg)) > 187) {
				$largostring = 15;
				$separador = $separador + 5;
			}
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);
			$pdf->SetFont('Arial','B',9);
			$textMsg = utf8_decode($dist_matriz_desc).".";
			if (($largostring + $pdf->GetStringWidth($textMsg)) > 202) {
				$largostring = 15;
				$separador = $separador + 5;
			}
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);		
	}
	// FIN ENCABEZADO, TITULO Y PIE 1

	/////////////////////////////////////////////////////
	//////  DETALLE - CUERPO
	/////////////////////////////////////////////////////
	
 			$separador = $separador + 8;
			$largostring = 15;


			$pdf->SetFont('Arial','',9);
			//$textMsg = utf8_decode(", Manzana N° ");
			//$textMsg = utf8_decode("Manzana N° ");
			//$pdf->Text($largostring,$separador,$textMsg);
			//$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			//$pdf->SetFont('Arial','B',9);
			//$textMsg = utf8_decode($mz_agr);
			//$pdf->Text($largostring,$separador,$textMsg);
			//$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','',9);
			//$textMsg = utf8_decode(", Expediente N° ");
			$textMsg = utf8_decode("Expediente N° ");
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','B',9);
			$textMsg = utf8_decode($lote_agr);
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			if (empty($sup_legal)) {
				$textMsg = "--------------- .-";
			}else{
				$mt2  = (string)round($sup_legal,2);

				if ($mt2 > 0) {
					if ($mt2 > 0) {
						$textMsg = utf8_decode(", Superficie Titulo: ".$mt2." m2");							
					}else{
						$textMsg = "--------------- .-";
					}
				}					
			}
			$pdf->SetFont('Arial','',9);
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode(".-");
			$pdf->Text($largostring, $separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			if (empty($sup_sig_m2)) {
				$textMsg = "--------------- .-";
			}else{
				$mt2  = (string)round($sup_sig_m2,2);

				if ($mt2 > 0) {
					if ($mt2 > 0) {
						$textMsg = utf8_decode(", Superficie Afectada: ".$mt2." m2");							
					}else{
						$textMsg = "--------------- .-";
					}
				}					
			}
			$pdf->SetFont('Arial','',9);
			$pdf->Text($largostring,$separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);

			$pdf->SetFont('Arial','',9);
			$textMsg = utf8_decode(".-");
			$pdf->Text($largostring, $separador,$textMsg);
			$largostring = $largostring + $pdf->GetStringWidth($textMsg);			
	
			//-------------------------------------------------------------------------------
			//IMPRESION DE DATOS FIJOS
			//-------------------------------------------------------------------------------
			// Consulta en postgres
			$sqldet = "SELECT *, round(distancia,1) as distancia2, case when lindero = 'HIDRO' then 'Curso Hidrico' else lindero end as lindero2 ";

			$sqldet = $sqldet." FROM 
				i3geo.afectacionesper2 p join
				i3geo.afectaciones_gen i ON p.objectid=i.objectid
			WHERE 
				i.id_exp = ".$id_exp." order by p.lado ";
			

			$resultdet = pg_query ($link_bd,$sqldet);


			$limite_datos = intval($total_vertices/2+(1/2));	//se define el limite de datos por lista

			$limite_lindero = 100;	//se define el limite de largo de linderos

			$pdf->SetFillColor(224,235,255);
			$pdf->SetTextColor(0);

			while ($datosdet = pg_fetch_array($resultdet)) {

							//INICIO ECABEZADO, PIE Y TITULO
							if ($separador>260 ) {
						            
									$pdf->SetDisplayMode( 70 , "single");
									$pdf->SetMargins(0, 0, 0);
									$pdf->AddPage("L");
									$pdf->SetLineWidth(0.1);

									$hMapaMax = 230;
									$wMapaMax = 190;
									$mapasize = getimagesize($pathMapa);
									$wMapa = $mapasize[0];
									$hMapa = $mapasize[1];
									if (($wMapa / $wMapaMax) > ($hMapa / $hMapaMax)){
										$nW = $wMapaMax;
										$nH = $hMapa * $nW / $wMapa;
									}else{
										$nH = $hMapaMax;
										$nW = $wMapa * $nH / $hMapa;
									}
									//Ancho y alto para el recuadro del mapa
									$anchomap = $nW+2;
									$altomap  = $nH+17;
									$xdatos  = 10; //valor para x del recuadro de datos
									$ydatos  = $altomap;
									$nWG = $nW;
									$nHG = $nH;			
									$ancho = 202;
									//
						 			// ---------- CABECERA DE PÁGINA ----------------
						 			//
									$pdf->SetFont('Arial','B',10);
									$separador = 15;
									$textMsg = "INSTITUTO NACIONAL DE DESARROLLO RURAL Y DE LA TIERRA";
									$xMsg = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;
									$pdf->Text($xMsg + 10,$separador,$textMsg);

									$textMsg = "INDERT";
									$xMsg = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;
									$separador = $separador + 5;
									$pdf->Text($xMsg + 10,$separador,$textMsg);

									$pdf->SetXY($xtabla,$ytabla);
									$pdf->Line( 15, 22, $ancho, 22);

									/////////////////////////////////////////////
						 			//PIE DE PÁGINA
									/////////////////////////////////////////////
									$pdf->SetFont('Arial','B',10);
									$mes = date("F");
									switch ($mes) {
						    			case "January":
						        			$mes="Enero";
						        			break;
						    			case "February":
						        			$mes="Febrero";
						        			break;
						    			case "March":
						        			$mes="Marzo";
						        			break;
						    			case "April":
						        			$mes="Abril";
						        			break;
						    			case "May":
						        			$mes="Marchyo";
						        			break;
						    			case "June":
						        			$mes="Junio";
						        			break;
						    			case "July":
						        			$mes="Julio";
						    	    		break;
						    			case "August":
						        			$mes="Agosto";
						        			break;
						    			case "September":
						        			$mes="Setiembre";
									        break;
						    			case "October":
						        			$mes="Octubre";
						        			break;
						    			case "November":
						        			$mes="Noviembre";
						        			break;
						    			case "December":
						        			$mes="Diciembre";
						        			break;
									}
									$hora = pg_query($link_bd, "SELECT to_char(now(), 'HH24:mi') hora");
									while ($dato = pg_fetch_array($hora)) {
										$hora = $dato[hora];
									}

									//IMPRESION DE LOGOS
									$pdf->Line( 15, 296 - 10, $ancho, 296 - 10);

									$pagina = $pagina + 1; 
									$pdf->SetFont('Arial','',9);
									$textMsg = utf8_decode("Pagina " . $pagina);
									$pdf->Text(170, 296 - 6,$textMsg);


									$pdf->Image("../../imagens/mopc.jpg" , 15			, 9, 32, 12,'','',1);
									$pdf->Image("../../imagens/paraguay-de-la-gente.jpg" , $ancho - 32	, 9, 32, 12,'','',1);
									
									//
						 			//TITULOS
						 			//
									$pdf->SetFont('Arial','B',12);			
									$textMsg = utf8_decode("INFORME PERICIAL");
									$xMsg = $ancho/2 - $pdf->GetStringWidth($textMsg)/2;
									$separador = $separador + 15;
									$pdf->Text($xMsg + 5, $separador,$textMsg);
									//
						 			//Cuerpo
						 			//

									if ($fecha_deslinde) {
										$ano = substr($fecha_deslinde,0,4);
										$mes = substr($fecha_deslinde,5,2);
										$dia = substr($fecha_deslinde,8,2);
									}else{
										$ano = '-----';
										$mes = '----------';
										$dia = '---';
									}
									switch ($mes) {
						    			case "01":
						        			$mes="Enero";
						        			break;
						    			case "02":
						        			$mes="Febrero";
						        			break;
						    			case "03":
						        			$mes="Marzo";
						        			break;
						    			case "04":
						        			$mes="Abril";
						        			break;
						    			case "05":
						        			$mes="Mayo";
						        			break;
						    			case "06":
						        			$mes="Junio";
									        break;
									    case "07":
									        $mes="Julio";
									        break;
									    case "08":
									        $mes="Agosto";
									        break;
									    case "09":
									        $mes="Setiembre";
									        break;
									    case "10":
									        $mes="Octubre";
									        break;
									    case "11":
									        $mes="Noviembre";
									        break;
									    case "12":
									        $mes="Diciembre";
									        break;
									}
/*
									$pdf->SetFont('Arial','',9);			
									$textMsg = utf8_decode("Asunción, " . $dia . " de " . $mes . " del " . $ano);
									$xMsg = $ancho - $pdf->GetStringWidth($textMsg);
									$separador = $separador + 10;
									$pdf->Text($xMsg,$separador,$textMsg);
*/									
									
									$largostring=15;
									$pdf->SetFont('Arial','',9);
									$textMsg = utf8_decode("Proyecto: ");
									$separador = $separador + 10;
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);
									$pdf->SetFont('Arial','B',9);
									$textMsg = utf8_decode($col_desc).".";
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);

									$largostring = 15;
									$separador = $separador + 5;
									$pdf->SetFont('Arial','',9);
									$textMsg = utf8_decode("Finca N° ");
									$pdf->Text($largostring, $separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);
									$pdf->SetFont('Arial','B',9);
									if (empty($finca_mtr)) {
										$textMsg = "----";
									}else{
										$textMsg = $finca_mtr;
									}
									$pdf->Text($largostring, $separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);

									$pdf->SetFont('Arial','',9);
									$textMsg = utf8_decode(" de ");
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);
									$pdf->SetFont('Arial','B',9);
									$textMsg = utf8_decode($dist_matriz_desc);
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);

									$pdf->SetFont('Arial','',9);
									$textMsg = utf8_decode(", Padrón N° ");
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);

									$pdf->SetFont('Arial','B',9);
									if (empty($cc_matriz)) {
										$textMsg = "----";
									}else{
										$textMsg = utf8_decode($cc_matriz);
										//$textMsg = $cc_matriz;
									}
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);


									$pdf->SetFont('Arial','',9);
									$textMsg = utf8_decode(" de ");
									if (($largostring + $pdf->GetStringWidth($textMsg)) > 187) {
										$largostring = 15;
										$separador = $separador + 5;
									}
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);
									$pdf->SetFont('Arial','B',9);
									$textMsg = utf8_decode($dist_matriz_desc).".";
									if (($largostring + $pdf->GetStringWidth($textMsg)) > 202) {
										$largostring = 15;
										$separador = $separador + 5;
									}
									$pdf->Text($largostring,$separador,$textMsg);
									$largostring = $largostring + $pdf->GetStringWidth($textMsg);

							}
							//FIN ECABEZADO, PIE Y TITULO
				$i = $i + 1;								
				$largostring=15;
				$separador = $separador + 5;

				if ($datosdet[rumbo1]=="N") {
					$rumbo1 = "NORTE";	
				}
				else {
					if ($datosdet[rumbo1]=="S") {
						$rumbo1 = "SUR";	
					}
					else {
						if ($datosdet[rumbo1]=="E") {
							$rumbo1 = "ESTE";	
						}
						else {
							if ($datosdet[rumbo1]=="W") {
								$rumbo1 = "OESTE";	
							}
							else {
								$rumbo1 = "ERROR";	
							}

						}
					}
				}
				if ($datosdet[rumbo2]=="N") {
					$rumbo2 = "NORTE";	
				}
				else {
					if ($datosdet[rumbo2]=="S") {
						$rumbo2 = "SUR";	
					}
					else {
						if ($datosdet[rumbo2]=="E") {
							$rumbo2 = "ESTE";	
						}
						else {
							if ($datosdet[rumbo2]=="W") {
								$rumbo2 = "OESTE";	
							}
							else {
								$rumbo2 = "ERROR";	
							}

						}
					}
				}

				$lindero_lower = strtolower($datosdet[lindero2]);
				$caso=strpos($lindero_lower,'domi');
				if ($caso!==false) {
					$casolote=3;
				} 
				else {
					$caso=strpos($lindero_lower,'call');
					if ($caso!==false) {
						$casolote=2;
					} 
					else {
						$caso=strpos($lindero_lower,'este');
						if ($caso!==false) {
							$casolote=4;
						} 
						else {
							$caso=strpos($lindero_lower,'hidro');
							if ($caso!==false) {
								$casolote=5;
							} 							
							else {
								$caso=strpos($lindero_lower,'hidri');
								if ($caso!==false) {
									$casolote=6;
								} 														
								else {
									$caso=strpos($lindero_lower,'res');
									if ($caso!==false) {
										$casolote=7;
									} else{
										$casolote=1;
									}									
								} 									
							} 									
						} 										
					} 					
				} 

				$pdf->SetFont('Arial','B',9);
				$textMsg = utf8_decode($datosdet[lado_fmt].":");

				
				
				if ((($formato_hrumbo != '1') and (($formato_hrumbo != '2' and $datosdet['format_hru']!='1'))) 
					and ($datosdet['lindero'] == 'HIDRO')) {
					//$textMsg = $textMsg.") ";
					$textMsg = $textMsg." ";
					
				} else {
					
					
					$textMsg = $textMsg." con rumbo ".$rumbo1;
					$textMsg = $textMsg." ".utf8_decode(CifrasEnLetras::convertirCifrasEnLetras($datosdet[grados]))." grados";
					$textMsg = $textMsg." ".utf8_decode(CifrasEnLetras::convertirCifrasEnLetras($datosdet[minutos]))." minutos";
					$textMsg = $textMsg." ".utf8_decode(CifrasEnLetras::convertirCifrasEnLetras(round($datosdet[segundos],0)))." segundos";

					$metros = intval($datosdet[distancia2]);
					
					
					
					$decimetros = round(($datosdet[distancia2]-intval($datosdet[distancia2]))*10,0);
					//$dis_total = round($datosdet[distancia],1);
				
					$textMsg = $textMsg." ".$rumbo2.", mide ".utf8_decode(CifrasEnLetras::convertirCifrasEnLetras($metros))." metros ";

					if ($decimetros> 0) {
						$textMsg = $textMsg." y ".utf8_decode(CifrasEnLetras::convertirCifrasEnLetras($decimetros))." decimetros ";
					}
				}

				//echo ($textMsg);
				if ((($formato_hrumbo != '1') and (($formato_hrumbo != '2' and $datosdet['format_hru']!='1'))) 
					and ($datosdet['lindero'] == 'HIDRO')) {
					//$textMsg = $textMsg.") ";
					$textMsg = $textMsg." ";

				}else{
					$textotitulacion = $datosdet['rumbo1'].'-'.$datosdet['grados']."°".$datosdet['minutos']."´".round($datosdet['segundos'],0)."´´-".$datosdet['rumbo2'];					

					$textMsg = $textMsg."(".utf8_decode($textotitulacion);

					$textMsg = $textMsg.", ".utf8_decode($metros)." m ";
					
					if ($decimetros> 0) {
						$textMsg = $textMsg." y ". utf8_decode($decimetros)." dm) ";
					}else{
						$textMsg = $textMsg.') ';
					}

				}

				$limite_linea = 160;
				
				$lindero = explode(',',$datosdet[lindero2]);
												
				if(count($lindero)>1){
						if($casolote==1){
							$textoLindero = 'linda con los lotes ';
						}else{
							$textoLindero = 'linda con ';
						}
				}else{
					
					if($casolote==1){
						$textoLindero = 'linda con lote ';
					}else{
						$textoLindero = 'linda con ';
					}
					
				}

				$textMsg = $textMsg.$textoLindero.$datosdet[lindero2].".";
				$ancho_linea = $pdf->GetStringWidth($textMsg);						
				$decimal=$ancho_linea/$limite_linea-intval(($ancho_linea/$limite_linea))+0.1;
				if($decimal>0){
					$lineas = intval(($ancho_linea/$limite_linea+0.1))+1;
				}else{
					$lineas = intval(($ancho_linea/$limite_linea+0.1));
				}
							
				$pdf->setXY(20, $separador-3);
				$pdf->MultiCell($limite_linea, 4, $textMsg, 0, 'J');

			    $separador= $separador+$lineas*5-5;
			}
			// FIN WHILE PRINCIPAL
}

pg_free_result ($reqcat);
pg_close ();

if ($l>0) {

	
	$largostring = 15;
	$pdf->Close();
	$pdf->Output("informe_pericial_dgrp_" . $dpto . "_". $distrito . "_" . $cod_colonia . ".pdf","I", true);
	
}
else 
{
	echo "Sin datos";
}
?>
